<?php
/**
 * POS Application
 *
 * Returns an array of strings.
 */

defined( 'ABSPATH' ) || exit;

return [
	0   => __( "Product doesn't exist", 'woocommerce-point-of-sale' ),
	/* translators: %s product name */
	1   => __( 'You cannot add another %s to your cart.', 'woocommerce-point-of-sale' ),
	2   => __( 'This product cannot be purchased.', 'woocommerce-point-of-sale' ),
	/* translators: %s product name */
	3   => __( '%s cannot be added to the cart because the product is out of stock.', 'woocommerce-point-of-sale' ),
	/* translators: %1$s product name %2$s stock quantity %3$s quantity in cart */
	4   => __( '%1$s cannot be added to the cart &mdash; we have %2$s in stock and you already have %3$s in the cart.', 'woocommerce-point-of-sale' ),
	7   => __( 'Please choose product options&hellip;', 'woocommerce-point-of-sale' ),
	8   => __( 'Are you sure you want to clear all fields and start from scratch?', 'woocommerce-point-of-sale' ),
	9   => __( 'Please add products.', 'woocommerce-point-of-sale' ),
	10  => __( 'Please select payment method.', 'woocommerce-point-of-sale' ),
	11  => __( 'Please enter correct amount.', 'woocommerce-point-of-sale' ),
	12  => __( 'Order successful.', 'woocommerce-point-of-sale' ),
	13  => __( 'Successfully voided.', 'woocommerce-point-of-sale' ),
	14  => __( 'Order successfully saved.', 'woocommerce-point-of-sale' ),
	15  => __( 'Please fill in all the required fields.', 'woocommerce-point-of-sale' ),
	16  => __( 'Please enter shipping details for this order.', 'woocommerce-point-of-sale' ),
	17  => __( 'Please enter additional information for this order.', 'woocommerce-point-of-sale' ),
	18  => __( 'Shipping title is required.', 'woocommerce-point-of-sale' ),
	19  => __( 'Shipping price is required.', 'woocommerce-point-of-sale' ),
	20  => __( 'Product title is required.', 'woocommerce-point-of-sale' ),
	21  => __( 'Product price is required.', 'woocommerce-point-of-sale' ),
	22  => __( 'Quantity is required.', 'woocommerce-point-of-sale' ),
	23  => __( 'Free shipping coupon', 'woocommerce-point-of-sale' ),
	24  => __( 'Can\'t load order', 'woocommerce-point-of-sale' ),
	25  => __( 'item', 'woocommerce-point-of-sale' ),
	26  => __( 'All', 'woocommerce-point-of-sale' ),
	27  => __( 'Please enter the password.', 'woocommerce-point-of-sale' ),
	28  => __( 'Incorrect password.', 'woocommerce-point-of-sale' ),
	29  => __( 'Free!', 'woocommerce-point-of-sale' ),
	30  => __( 'Note successfully added.', 'woocommerce-point-of-sale' ),
	31  => __( 'Note successfully updated.', 'woocommerce-point-of-sale' ),
	32  => __( 'Note deleted.', 'woocommerce-point-of-sale' ),
	33  => __( 'Card not recognized.', 'woocommerce-point-of-sale' ),
	34  => __( 'Please enter correct data.', 'woocommerce-point-of-sale' ),
	35  => __( 'Please fill Custom Fields.', 'woocommerce-point-of-sale' ),
	36  => __( 'Invalid Barcode Scan', 'woocommerce-point-of-sale' ),
	37  => __( 'You have logged in successfully.', 'woocommerce-point-of-sale' ),
	38  => __( 'In Stock', 'woocommerce-point-of-sale' ),
	39  => __( 'Out of Stock', 'woocommerce-point-of-sale' ),
	40  => __( 'On Backorder', 'woocommerce-point-of-sale' ),
	41  => __( 'Passwords don\'t match', 'woocommerce-point-of-sale' ),
	42  => __( 'Please choose a customer.', 'woocommerce-point-of-sale' ),
	43  => __( 'Offline order successful.', 'woocommerce-point-of-sale' ),
	44  => __( 'Please enter Fee Name', 'woocommerce-point-of-sale' ),
	45  => __( 'Item Note', 'woocommerce-point-of-sale' ),
	46  => __( 'Chose tab', 'woocommerce-point-of-sale' ),
	/* translators: %s spend limit */
	47  => __( 'Spend limit for this tab is %s', 'woocommerce-point-of-sale' ),
	48  => __( 'You are about to close this register. All sales will be logged for this session.', 'woocommerce-point-of-sale' ),
	49  => __( 'This tab already opened', 'woocommerce-point-of-sale' ),
	50  => __( 'Opened', 'woocommerce-point-of-sale' ),
	51  => __( 'Available', 'woocommerce-point-of-sale' ),
	52  => __( 'Minimum title length 3 symbols', 'woocommerce-point-of-sale' ),
	53  => __( 'Discount', 'woocommerce-point-of-sale' ),
	54  => __( 'Add customer', 'woocommerce-point-of-sale' ),
	55  => __( 'Save customer', 'woocommerce-point-of-sale' ),
	56  => __( 'Sign is required', 'woocommerce-point-of-sale' ),
	57  => __( 'Searching for', 'woocommerce-point-of-sale' ),
	58  => __( 'Offline function is enabled and products are being downloaded in background', 'woocommerce-point-of-sale' ),
	59  => __( 'Please generate an order ID', 'woocommerce-point-of-sale' ),
	60  => __( 'SKU:', 'woocommerce-point-of-sale' ),
	61  => __( 'Stock:', 'woocommerce-point-of-sale' ),
	62  => __( 'Product data could not be loaded', 'woocommerce-point-of-sale' ),
	63  => __( 'Full Screen', 'woocommerce-point-of-sale' ),
	64  => __( 'Lock Register', 'woocommerce-point-of-sale' ),
	66  => __( 'Settings', 'woocommerce-point-of-sale' ),
	67  => __( 'Load', 'woocommerce-point-of-sale' ),
	68  => __( 'Orders', 'woocommerce-point-of-sale' ),
	69  => __( 'Tabs', 'woocommerce-point-of-sale' ),
	70  => __( 'Closing Register', 'woocommerce-point-of-sale' ),
	71  => __( 'Show Tiles', 'woocommerce-point-of-sale' ),
	72  => __( 'Your device is connected to the internet.', 'woocommerce-point-of-sale' ),
	73  => __( 'This device is not connected to the internet and orders will not be synchronised with the shops database until an internet connection is available. This device will store orders locally until the connection is resumed.', 'woocommerce-point-of-sale' ),
	/* translators: %s time */
	74  => __( 'Register opened %s', 'woocommerce-point-of-sale' ),
	/* translators: %s version */
	75  => __( 'Version %s', 'woocommerce-point-of-sale' ),
	76  => __( 'Register Closed', 'woocommerce-point-of-sale' ),
	77  => __( 'Sorry, we could not locate this order number.', 'woocommerce-point-of-sale' ),
	78  => __( 'Register', 'woocommerce-point-of-sale' ),
	79  => __( 'Till Screen', 'woocommerce-point-of-sale' ),
	80  => __( 'Help & Feedback', 'woocommerce-point-of-sale' ),
	81  => __( 'Close Register', 'woocommerce-point-of-sale' ),
	82  => __( 'Outlet', 'woocommerce-point-of-sale' ),
	83  => __( 'Sales', 'woocommerce-point-of-sale' ),
	84  => __( 'Cart', 'woocommerce-point-of-sale' ),
	85  => __( 'Increase Quantity', 'woocommerce-point-of-sale' ),
	86  => __( 'Delete', 'woocommerce-point-of-sale' ),
	87  => __( 'Sale', 'woocommerce-point-of-sale' ),
	88  => __( 'Subtotal', 'woocommerce-point-of-sale' ),
	89  => __( 'Discounts', 'woocommerce-point-of-sale' ),
	90  => __( 'Coupons', 'woocommerce-point-of-sale' ),
	91  => __( 'Fees', 'woocommerce-point-of-sale' ),
	92  => __( 'Total', 'woocommerce-point-of-sale' ),
	93  => __( 'Shipping', 'woocommerce-point-of-sale' ),
	94  => __( 'Dining', 'woocommerce-point-of-sale' ),
	95  => __( 'Login', 'woocommerce-point-of-sale' ),
	96  => __( 'Note', 'woocommerce-point-of-sale' ),
	97  => __( 'Fee', 'woocommerce-point-of-sale' ),
	98  => __( 'Hold', 'woocommerce-point-of-sale' ),
	99  => __( 'Reset', 'woocommerce-point-of-sale' ),
	100 => __( 'Clear', 'woocommerce-point-of-sale' ),
	101 => __( 'Print', 'woocommerce-point-of-sale' ),
	102 => __( 'Pay', 'woocommerce-point-of-sale' ),
	/* translators: %s user name */
	103 => __( 'Add %s as new customer', 'woocommerce-point-of-sale' ),
	104 => __( 'Please add items to the cart.', 'woocommerce-point-of-sale' ),
	105 => __( 'Guest checkout is disabled, please add a customer to continue.', 'woocommerce-point-of-sale' ),
	106 => __( 'Signature', 'woocommerce-point-of-sale' ),
	107 => __( 'Cancel', 'woocommerce-point-of-sale' ),
	108 => __( 'Done', 'woocommerce-point-of-sale' ),
	109 => __( 'State', 'woocommerce-point-of-sale' ),
	110 => __( 'Signature is required to fulfill this order.', 'woocommerce-point-of-sale' ),
	111 => __( 'Shipping Method', 'woocommerce-point-of-sale' ),
	112 => __( 'First Name', 'woocommerce-point-of-sale' ),
	113 => __( 'Last Name', 'woocommerce-point-of-sale' ),
	114 => __( 'Company', 'woocommerce-point-of-sale' ),
	115 => __( 'Street Address', 'woocommerce-point-of-sale' ),
	116 => __( 'Apartment, Suite, Unit, Etc.', 'woocommerce-point-of-sale' ),
	117 => __( 'Town / City', 'woocommerce-point-of-sale' ),
	118 => __( 'Postcode / ZIP', 'woocommerce-point-of-sale' ),
	119 => __( 'Country', 'woocommerce-point-of-sale' ),
	120 => __( 'County', 'woocommerce-point-of-sale' ),
	121 => __( 'None', 'woocommerce-point-of-sale' ),
	122 => __( 'Standard Delivery', 'woocommerce-point-of-sale' ),
	123 => __( 'Express Delivery', 'woocommerce-point-of-sale' ),
	124 => __( 'International Delivery', 'woocommerce-point-of-sale' ),
	125 => __( 'Categories', 'woocommerce-point-of-sale' ),
	126 => __( 'Grids', 'woocommerce-point-of-sale' ),
	127 => __( 'Name', 'woocommerce-point-of-sale' ),
	128 => __( 'Price', 'woocommerce-point-of-sale' ),
	129 => __( 'Date Added', 'woocommerce-point-of-sale' ),
	130 => __( 'Popularity', 'woocommerce-point-of-sale' ),
	/* translators: %s number of products */
	131 => __( '%s products', 'woocommerce-point-of-sale' ),
	132 => __( 'Payment', 'woocommerce-point-of-sale' ),
	133 => __( 'Amount Due', 'woocommerce-point-of-sale' ),
	134 => __( 'Tendered', 'woocommerce-point-of-sale' ),
	135 => __( 'Tender', 'woocommerce-point-of-sale' ),
	136 => __( 'End of Sale', 'woocommerce-point-of-sale' ),
	137 => __( 'Thank You!', 'woocommerce-point-of-sale' ),
	138 => __( 'Change', 'woocommerce-point-of-sale' ),
	139 => __( 'Present Card', 'woocommerce-point-of-sale' ),
	140 => __( 'Pending', 'woocommerce-point-of-sale' ),
	141 => __( 'Failed', 'woocommerce-point-of-sale' ),
	/* translators: %s number of seconds */
	142 => __( 'Switching user in %s seconds...', 'woocommerce-point-of-sale' ),
	143 => __( 'Email', 'woocommerce-point-of-sale' ),
	144 => __( 'Close', 'woocommerce-point-of-sale' ),
	145 => __( 'Continue', 'woocommerce-point-of-sale' ),
	146 => __( 'Email address is required', 'woocommerce-point-of-sale' ),
	147 => __( 'Order note is required', 'woocommerce-point-of-sale' ),
	148 => __( 'Order successfully completed.', 'woocommerce-point-of-sale' ),
	149 => __( 'Order has failed.', 'woocommerce-point-of-sale' ),
	150 => __( 'Please enter or select an amount to tender.', 'woocommerce-point-of-sale' ),
	151 => __( 'Outlet Information', 'woocommerce-point-of-sale' ),
	152 => __( 'Website', 'woocommerce-point-of-sale' ),
	153 => __( 'Phone', 'woocommerce-point-of-sale' ),
	154 => __( 'Address', 'woocommerce-point-of-sale' ),
	155 => __( 'Wireless', 'woocommerce-point-of-sale' ),
	156 => __( 'Social Networks', 'woocommerce-point-of-sale' ),
	157 => __( 'Search', 'woocommerce-point-of-sale' ),
	158 => __( 'Order number', 'woocommerce-point-of-sale' ),
	159 => __( 'Price', 'woocommerce-point-of-sale' ),
	160 => __( 'Date placed', 'woocommerce-point-of-sale' ),
	161 => __( 'Orders that are placed by this register will appear here. If there are no orders, please check the status loading options are correctly set by your shop manager.', 'woocommerce-point-of-sale' ),
	162 => __( 'Processing', 'woocommerce-point-of-sale' ),
	163 => __( 'Completed', 'woocommerce-point-of-sale' ),
	164 => __( 'On-Hold', 'woocommerce-point-of-sale' ),
	165 => __( 'Walk-in Customer', 'woocommerce-point-of-sale' ),
	166 => __( '(No Name)', 'woocommerce-point-of-sale' ),
	167 => __( 'No billing address set.', 'woocommerce-point-of-sale' ),
	168 => __( 'The receipt is being generated', 'woocommerce-point-of-sale' ),
	169 => __( 'Reorder', 'woocommerce-point-of-sale' ),
	170 => __( 'Billing', 'woocommerce-point-of-sale' ),
	171 => __( 'Shipping', 'woocommerce-point-of-sale' ),
	172 => __( 'Website Order', 'woocommerce-point-of-sale' ),
	173 => __( 'Products', 'woocommerce-point-of-sale' ),
	174 => __( 'Customer Note', 'woocommerce-point-of-sale' ),
	175 => __( 'Product', 'woocommerce-point-of-sale' ),
	176 => __( 'Cost', 'woocommerce-point-of-sale' ),
	177 => __( 'Qty', 'woocommerce-point-of-sale' ),
	178 => __( 'Tax', 'woocommerce-point-of-sale' ),
	179 => __( 'Guest', 'woocommerce-point-of-sale' ),
	180 => __( 'No shipping address set.', 'woocommerce-point-of-sale' ),
	181 => __( 'Open Register', 'woocommerce-point-of-sale' ),
	182 => __( 'Cash Float', 'woocommerce-point-of-sale' ),
	183 => __( 'Yes', 'woocommerce-point-of-sale' ),
	184 => __( 'Order Note', 'woocommerce-point-of-sale' ),
	185 => __( 'Save', 'woocommerce-point-of-sale' ),
	186 => __( 'Edit', 'woocommerce-point-of-sale' ),
	/* translators: %s cart action */
	187 => __( 'You have items in the cart. Are you sure you want to clear the cart?', 'woocommerce-point-of-sale' ),
	188 => __( 'No', 'woocommerce-point-of-sale' ),
	189 => __( 'Scan or enter card number and press Enter', 'woocommerce-point-of-sale' ),
	190 => __( 'Product Image', 'woocommerce-point-of-sale' ),
	191 => __( 'Stock', 'woocommerce-point-of-sale' ),
	192 => __( 'SKU', 'woocommerce-point-of-sale' ),
	193 => __( 'Description', 'woocommerce-point-of-sale' ),
	194 => __( 'Dining', 'woocommerce-point-of-sale' ),
	195 => __( 'Password', 'woocommerce-point-of-sale' ),
	196 => __( 'Password is required', 'woocommerce-point-of-sale' ),
	197 => __( 'Invalid credentials', 'woocommerce-point-of-sale' ),
	198 => __( 'Fee Name', 'woocommerce-point-of-sale' ),
	199 => __( 'Taxable', 'woocommerce-point-of-sale' ),
	200 => __( 'Apply', 'woocommerce-point-of-sale' ),
	201 => __( 'Please enter a fee name', 'woocommerce-point-of-sale' ),
	202 => __( 'Discount Reason', 'woocommerce-point-of-sale' ),
	209 => __( 'off', 'woocommerce-point-of-sale' ),
	210 => __( 'Eat In', 'woocommerce-point-of-sale' ),
	211 => __( 'Take Away', 'woocommerce-point-of-sale' ),
	212 => __( 'Delivery', 'woocommerce-point-of-sale' ),
	213 => __( 'Add Product', 'woocommerce-point-of-sale' ),
	214 => __( 'Quantity', 'woocommerce-point-of-sale' ),
	215 => __( 'Quantity required', 'woocommerce-point-of-sale' ),
	216 => __( 'Update Customer', 'woocommerce-point-of-sale' ),
	217 => __( 'Company Name', 'woocommerce-point-of-sale' ),
	218 => __( 'Email Address', 'woocommerce-point-of-sale' ),
	219 => __( 'Username', 'woocommerce-point-of-sale' ),
	220 => __( 'Password', 'woocommerce-point-of-sale' ),
	221 => __( 'First Name, Last Name, Email Address will also be updated.', 'woocommerce-point-of-sale' ),
	222 => __( 'Product Name', 'woocommerce-point-of-sale' ),
	223 => __( 'Product Attributes', 'woocommerce-point-of-sale' ),
	224 => __( 'Label', 'woocommerce-point-of-sale' ),
	225 => __( 'Value', 'woocommerce-point-of-sale' ),
	226 => __( 'Publish Product', 'woocommerce-point-of-sale' ),
	227 => __( 'Add Attribute', 'woocommerce-point-of-sale' ),
	228 => __( 'Coupon Code', 'woocommerce-point-of-sale' ),
	229 => __( 'Opened', 'woocommerce-point-of-sale' ),
	230 => __( 'Closing', 'woocommerce-point-of-sale' ),
	231 => __( 'Closing Notes', 'woocommerce-point-of-sale' ),
	232 => __( 'Expected', 'woocommerce-point-of-sale' ),
	233 => __( 'Counted', 'woocommerce-point-of-sale' ),
	234 => __( 'Difference', 'woocommerce-point-of-sale' ),
	235 => __( 'Cash', 'woocommerce-point-of-sale' ),
	236 => __( 'Chip & Pin', 'woocommerce-point-of-sale' ),
	/* translators: %s opening cash amount */
	237 => __( 'Opening cash amount: %s', 'woocommerce-point-of-sale' ),
	/* translators: %s note */
	238 => __( 'Note: %s', 'woocommerce-point-of-sale' ),
	/* translators: %s cash */
	239 => __( 'Cash: %s', 'woocommerce-point-of-sale' ),
	/* translators: %s cash in */
	240 => __( 'Cash In: %s', 'woocommerce-point-of-sale' ),
	/* translators: %s total */
	241 => __( 'Total: %s', 'woocommerce-point-of-sale' ),
	242 => __( 'Edit Product', 'woocommerce-point-of-sale' ),
	243 => __( 'Update Product', 'woocommerce-point-of-sale' ),
	244 => __( 'Tax Class', 'woocommerce-point-of-sale' ),
	245 => __( 'Reference Number', 'woocommerce-point-of-sale' ),
	246 => __( 'Receipt', 'woocommerce-point-of-sale' ),
	247 => __( 'Printing...', 'woocommerce-point-of-sale' ),
	248 => __( 'No product results', 'woocommerce-point-of-sale' ),
	/* translators: %1$s product name %2$s left in stock */
	249 => __( 'You cannot add %1$s to the cart because there are only %2$s in stock.', 'woocommerce-point-of-sale' ),
	/* translators: %1$s numer of products cached %2$s total number of products */
	250 => __( '%1$s out of %2$s products cached', 'woocommerce-point-of-sale' ),
	/* translators: %1$s numer of orders cached %2$s total number of orders */
	251 => __( '%1$s out of %2$s orders cached', 'woocommerce-point-of-sale' ),
	252 => __( 'Search customer', 'woocommerce-point-of-sale' ),
	253 => __( 'pcs', 'woocommerce-point-of-sale' ),
	254 => __( 'View', 'woocommerce-point-of-sale' ),
	255 => __( 'Counted Value', 'woocommerce-point-of-sale' ),
	256 => __( 'Quantity is required', 'woocommerce-point-of-sale' ),
	257 => __( 'An error occurred', 'woocommerce-point-of-sale' ),
	258 => __( 'Order', 'woocommerce-point-of-sale' ),
	/* translators: %s product name */
	259 => __( 'Product %s not found', 'woocommerce-point-of-sale' ),
	/* translators: %s amount */
	260 => __( 'Free shipping needs min.%s of cart total or coupon with free shipping', 'woocommerce-point-of-sale' ),
	/* translators: %s amount */
	261 => __( 'Free shipping needs min.%s of cart total and coupon with free shipping`', 'woocommerce-point-of-sale' ),
	262 => __( 'Free shipping needs coupon with free shipping`', 'woocommerce-point-of-sale' ),
	/* translators: %s amount */
	263 => __( 'Free shipping needs min.%s of cart total', 'woocommerce-point-of-sale' ),
	264 => __( 'Invalid requirement for free shipping`', 'woocommerce-point-of-sale' ),
	265 => __( 'Invalid cost value`', 'woocommerce-point-of-sale' ),
	266 => __( 'Refund', 'woocommerce-point-of-sale' ),
	267 => __( 'Refund Reason', 'woocommerce-point-of-sale' ),
	269 => __( 'Recover Stock', 'woocommerce-point-of-sale' ),
	270 => __( 'Scan SKU barcode', 'woocommerce-point-of-sale' ),
	271 => __( 'Search products', 'woocommerce-point-of-sale' ),
	272 => __( 'Search Orders', 'woocommerce-point-of-sale' ),
	273 => __( 'Copy Billing Address', 'woocommerce-point-of-sale' ),
	274 => __( 'Edit Shipping', 'woocommerce-point-of-sale' ),
	275 => __( 'Shipping Title', 'woocommerce-point-of-sale' ),
	276 => __( 'Shipping Price', 'woocommerce-point-of-sale' ),
	282 => __( 'Cancel Saved Order', 'woocommerce-point-of-sale' ),
	283 => __( 'Do you want to cancel this saved order?', 'woocommerce-point-of-sale' ),
	284 => __( 'Yes, cancel it', 'woocommerce-point-of-sale' ),
	285 => __( 'No, keep it as is', 'woocommerce-point-of-sale' ),
	286 => __( 'Order cancelled sucessfully.', 'woocommerce-point-of-sale' ),
	287 => __( 'Order could not be cancelled.', 'woocommerce-point-of-sale' ),
	288 => __( 'Cancelled', 'woocommerce-point-of-sale' ),
	289 => __( 'Order Status', 'woocommerce-point-of-sale' ),
	290 => __( 'There are products in the basket that will be cleared when you close the register. Do you want to continue?', 'woocommerce-point-of-sale' ),
	291 => __( 'Continue', 'woocommerce-point-of-sale' ),
	292 => __( 'Switch User?', 'woocommerce-point-of-sale' ),
	293 => __( 'There are products in the basket, do you want to keep them for later or clear them?.', 'woocommerce-point-of-sale' ),
	294 => __( 'Keep', 'woocommerce-point-of-sale' ),
	295 => __( 'Refunded', 'woocommerce-point-of-sale' ),
	296 => __( 'Tender amount should be equal or greater than cart total.', 'woocommerce-point-of-sale' ),
	297 => __( 'Unauthorized', 'woocommerce-point-of-sale' ),
	298 => __( 'You are not assigned or have access to the outlet.', 'woocommerce-point-of-sale' ),
	299 => __( 'A custom prouct with the same name is added to the cart. Would you like to increase the quantity instead?', 'woocommerce-point-of-sale' ),
	300 => __( 'Yes, increase quantity', 'woocommerce-point-of-sale' ),
	301 => __( 'No, create a new item', 'woocommerce-point-of-sale' ),
	302 => __( 'This order has already been refunded.', 'woocommerce-point-of-sale' ),
	303 => __( 'Gift Receipt', 'woocommerce-point-of-sale' ),
	304 => __( 'If you want a different price, please add a variation or change product name', 'woocommerce-point-of-sale' ),
	305 => __( 'Receipt could not be printed', 'woocommerce-point-of-sale' ),
	/* translators: %1$s product name %2$s quantity */
	306 => __( 'The minimum quantity for %1$s is %2$s.', 'woocommerce-point-of-sale' ),
	/* translators: %1$s product name %2$s quantity */
	307 => __( 'The maximum quantity for %1$s is %2$s.', 'woocommerce-point-of-sale' ),
	/* translators: %1$s product name %2$s quantity */
	308 => __( '%1$s must be bought in groups of %2$s.', 'woocommerce-point-of-sale' ),
	309 => __( 'There are no variations matching this selection.', 'woocommerce-point-of-sale' ),
	310 => __( 'Choose an option', 'woocommerce-point-of-sale' ),
	311 => __( 'Variation', 'woocommerce-point-of-sale' ),
	312 => __( 'Choose the dining option for this order.', 'woocommerce-point-of-sale' ),
	313 => __( 'Choose the type of note to record for this order.', 'woocommerce-point-of-sale' ),
	314 => __( 'More', 'woocommerce-point-of-sale' ),
	315 => __( 'Less', 'woocommerce-point-of-sale' ),
	316 => __( 'Enter the shipping details and then choose the shipping method for this order.', 'woocommerce-point-of-sale' ),
	317 => __( 'Enter the coupon code to apply to this order.', 'woocommerce-point-of-sale' ),
	318 => __( 'Apply Coupon', 'woocommerce-point-of-sale' ),
	319 => __( 'Signature verification will be gone through after 80 seconds of inactivity', 'woocommerce-point-of-sale' ),
	/* translators: %s number of seconds */
	320 => __( 'Printing in %s second', 'woocommerce-point-of-sale' ),
	/* translators: %s number of seconds */
	321 => __( 'Printing in %s seconds', 'woocommerce-point-of-sale' ),
	322 => __( 'Please enter product name, SKU, price and quantity', 'woocommerce-point-of-sale' ),
	323 => __( 'Please enter product name, price and quantity', 'woocommerce-point-of-sale' ),
	324 => __( 'Please enter an SKU', 'woocommerce-point-of-sale' ),
	325 => __( 'per', 'woocommerce-point-of-sale' ),
	326 => __( 'Please enter product name', 'woocommerce-point-of-sale' ),
	327 => __( 'Preview', 'woocommerce-point-of-sale' ),
	328 => __( 'Tax Status', 'woocommerce-point-of-sale' ),
	329 => __( 'Shipping only', 'woocommerce-point-of-sale' ),
	330 => __( 'Success Status', 'woocommerce-point-of-sale' ),
	331 => __( 'Items Subtotal', 'woocommerce-point-of-sale' ),
	332 => __( 'Discounts & Coupons', 'woocommerce-point-of-sale' ),
	333 => __( 'Order Total', 'woocommerce-point-of-sale' ),
	334 => __( 'No customers found.', 'woocommerce-point-of-sale' ),
	335 => __( 'No products found.', 'woocommerce-point-of-sale' ),
	336 => __( 'Payment QR Code', 'woocommerce-point-of-sale' ),
	337 => __( 'Scan the QR code below to load the payment page for order', 'woocommerce-point-of-sale' ),
	338 => __( 'Invalid email address', 'woocommerce-point-of-sale' ),
	339 => __( 'There is at least one dowloadable product in the cart. You must select or create a customer before proceeding.', 'woocommerce-point-of-sale' ),
	340 => __( 'No readers available.', 'woocommerce-point-of-sale' ),
	341 => __( 'for order', 'woocommerce-point-of-sale' ),
	342 => __( 'Net Payment', 'woocommerce-point-of-sale' ),
	343 => __( 'Refunds', 'woocommerce-point-of-sale' ),
	344 => __( 'Date', 'woocommerce-point-of-sale' ),
	345 => __( 'By', 'woocommerce-point-of-sale' ),
	/* translators: %s maximum refund amount */
	346 => __( 'Maximum amount to refund is %s.', 'woocommerce-point-of-sale' ),
	347 => __( 'This field is fully refunded.', 'woocommerce-point-of-sale' ),
	348 => __( 'Order refunded successfully.', 'woocommerce-point-of-sale' ),
	349 => __( 'Item', 'woocommerce-point-of-sale' ),
	/* translators: %s maximum refund quantity */
	350 => __( 'Maximum quantity to refund item is %s.', 'woocommerce-point-of-sale' ),
	351 => __( 'Amount', 'woocommerce-point-of-sale' ),
	352 => __( 'Fully Refunded', 'woocommerce-point-of-sale' ),
	/* translators: %s opening cash total */
	353 => __( '(Incl. %s cash float)', 'woocommerce-point-of-sale' ),
	/* translators: %s increase quantity by */
	354 => __( 'Would you like to increase product stock by %s and add this product to the cart?', 'woocommerce-point-of-sale' ),
	355 => __( 'Would you like to change product stock status to In Stock and add this product to the cart?', 'woocommerce-point-of-sale' ),
	356 => __( 'Restock', 'woocommerce-point-of-sale' ),
	357 => __( 'Sorry, there are no camera devices detected to scan a barcode.', 'woocommerce-point-of-sale' ),
	358 => __( 'To scan barcodes using the camera, please allow the register to access your camera device.', 'woocommerce-point-of-sale' ),
	359 => __( 'OK', 'woocommerce-point-of-sale' ),
	360 => __( 'items', 'woocommerce-point-of-sale' ),
	361 => __( 'No Payment Methods', 'woocommerce-point-of-sale' ),
	/* translators: %1$s anchor tag %1$s closing anchor tag */
	362 => sprintf( __( 'Sorry, it seems that there are no available payment methods for Point of Sale. Please go to %1$sWooCommerce > Settings > Payments%2$s to enable payment methods.', 'woocommerce-point-of-sale' ), '<a target="_blank" href="' . esc_attr( admin_url( 'admin.php?page=wc-settings&tab=checkout' ) ) . '">', '</a>' ),
	363 => __( 'Notes', 'woocommerce-point-of-sale' ),
	364 => __( 'Coupon', 'woocommerce-point-of-sale' ),
	365 => __( 'Are you sure you want to reload the register?', 'woocommerce-point-of-sale' ),
	366 => __( 'Refund', 'woocommerce-point-of-sale' ),
	367 => __( 'Search for order to issue a refund.', 'woocommerce-point-of-sale' ),
	368 => __( 'Reload orders', 'woocommerce-point-of-sale' ),
	369 => __( 'Sort by', 'woocommerce-point-of-sale' ),
	370 => __( 'Ascending', 'woocommerce-point-of-sale' ),
	371 => __( 'Descending', 'woocommerce-point-of-sale' ),
	/* translators: %s search term */
	372 => __( 'Sorry, no results were found for %s.', 'woocommerce-point-of-sale' ),
	/* translators: %s order number */
	373 => __( 'Order #%s is now loaded.', 'woocommerce-point-of-sale' ),
	375 => __( 'Place Order', 'woocommerce-point-of-sale' ),
	376 => __( 'Payment was successful but the order has not been updated due to the following error: ', 'woocommerce-point-of-sale' ),
	377 => __( 'Hold Order', 'woocommerce-point-of-sale' ),
	379 => __( 'Refund Order', 'woocommerce-point-of-sale' ),
	380 => __( 'Pay via bank transfer', 'woocommerce-point-of-sale' ),
	381 => __( 'Pay via check payments', 'woocommerce-point-of-sale' ),
	382 => __( 'Pay via Stripe terminal', 'woocommerce-point-of-sale' ),
	383 => __( 'Cancel Payment', 'woocommerce-point-of-sale' ),
	384 => __( 'Tap, insert or swipe the card to continue.', 'woocommerce-point-of-sale' ),
	385 => __( 'Please add items to refund.', 'woocommerce-point-of-sale' ),
	386 => __( 'Scan product from barcode.', 'woocommerce-point-of-sale' ),
	387 => __( 'Attribute label is required', 'woocommerce-point-of-sale' ),
	388 => __( 'Attribute value is required', 'woocommerce-point-of-sale' ),
	389 => __( 'Attribute key cannot be duplicated', 'woocommerce-point-of-sale' ),
	390 => __( 'Shipping address updated from billing.', 'woocommerce-point-of-sale' ),
	391 => __( 'gateway', 'woocommerce-point-of-sale' ),
	392 => __( 'gateways', 'woocommerce-point-of-sale' ),
	394 => __( 'Synchronised. Click to reload data.', 'woocommerce-point-of-sale' ),
	395 => __( 'Open', 'woocommerce-point-of-sale' ),
	396 => __( 'Closed', 'woocommerce-point-of-sale' ),
	397 => __( 'Add Cash', 'woocommerce-point-of-sale' ),
	398 => __( 'No orders found', 'woocommerce-point-of-sale' ),
	399 => __( 'Pending Payment', 'woocommerce-point-of-sale' ),
	400 => __( 'Syncing products', 'woocommerce-point-of-sale' ),
	401 => __( 'Getting ready...', 'woocommerce-point-of-sale' ),
	402 => __( 'Synced!', 'woocommerce-point-of-sale' ),
	403 => __( 'Syncing customers', 'woocommerce-point-of-sale' ),
	404 => __( 'Syncing coupons', 'woocommerce-point-of-sale' ),
	405 => __( 'Syncing categories', 'woocommerce-point-of-sale' ),
	407 => __( 'Generating search tokens', 'woocommerce-point-of-sale' ),
	408 => __( 'Register locked. Passwored is required to unlock the register.', 'woocommerce-point-of-sale' ),
	409 => __( 'Password is required to start a new session', 'woocommerce-point-of-sale' ),
	410 => __( 'Password is required to unlock the current session', 'woocommerce-point-of-sale' ),
	411 => __( 'Keep User', 'woocommerce-point-of-sale' ),
	412 => __( 'Switch', 'woocommerce-point-of-sale' ),
	413 => __( 'products', 'woocommerce-point-of-sale' ),
	414 => __( 'product', 'woocommerce-point-of-sale' ),
	415 => __( 'attribute', 'woocommerce-point-of-sale' ),
	416 => __( 'attributes', 'woocommerce-point-of-sale' ),
	/* translators: %1$s register name %2$s outlet name %3$s cashier name */
	417 => __( 'This order was loaded into the register %1$s at the outlet %2$s by the cashier %3$s.', 'woocommerce-point-of-sale' ),
	418 => __( 'Collect Payment', 'woocommerce-point-of-sale' ),
	419 => __( 'Confirm', 'woocommerce-point-of-sale' ),
	420 => __( 'Please confirm payment on the reader.', 'woocommerce-point-of-sale' ),
	421 => __( 'Payment requires additional actions on the reader.', 'woocommerce-point-of-sale' ),
	422 => __( 'Review', 'woocommerce-point-of-sale' ),
	423 => __( 'Setting defaults', 'woocommerce-point-of-sale' ),
	424 => __( 'Exit Full Screen', 'woocommerce-point-of-sale' ),
	425 => __( 'Layout', 'woocommerce-point-of-sale' ),
	426 => __( 'Status', 'woocommerce-point-of-sale' ),
	427 => __( 'This Session', 'woocommerce-point-of-sale' ),
	428 => __( 'Today', 'woocommerce-point-of-sale' ),
	429 => __( 'This Week', 'woocommerce-point-of-sale' ),
	430 => __( 'This Month', 'woocommerce-point-of-sale' ),
	431 => __( 'This Quarter', 'woocommerce-point-of-sale' ),
	432 => __( 'This Year', 'woocommerce-point-of-sale' ),
	433 => __( 'POS', 'woocommerce-point-of-sale' ),
	434 => __( 'Online', 'woocommerce-point-of-sale' ),
	435 => __( 'Type', 'woocommerce-point-of-sale' ),
	436 => __( 'Separator', 'woocommerce-point-of-sale' ),
	437 => __( 'Day', 'woocommerce-point-of-sale' ),
	438 => __( 'Week', 'woocommerce-point-of-sale' ),
	439 => __( 'Month', 'woocommerce-point-of-sale' ),
	440 => __( 'Quarter', 'woocommerce-point-of-sale' ),
	441 => __( 'Year', 'woocommerce-point-of-sale' ),
	442 => __( 'Card', 'woocommerce-point-of-sale' ),
	443 => __( 'List', 'woocommerce-point-of-sale' ),
	444 => __( 'Barcode scan is detected on search mode. Please enable scan mode to capture barcodes.', 'woocommerce-point-of-sale' ),
	445 => __( 'This product is currently out of stock and unavailable.', 'woocommerce-point-of-sale' ),
	446 => __( 'Setting database flags', 'woocommerce-point-of-sale' ),
	447 => __( 'Reset Local Database', 'woocommerce-point-of-sale' ),
	448 => __( 'Try Again', 'woocommerce-point-of-sale' ),
	449 => __( 'Checkout dialog is already open.', 'woocommerce-point-of-sale' ),
	450 => __( 'Rounding', 'woocommerce-point-of-sale' ),
	/* translators: %s rounding value */
	451 => __( 'Round the total up or down to the nearest %s', 'woocommerce-point-of-sale' ),
	452 => __( 'Are you sure you want to save changes?', 'woocommerce-point-of-sale' ),
	453 => __( 'Failed to update order.', 'woocommerce-point-of-sale' ),
	/* translators: %s current stock quantity */
	454 => __( 'The current stock quantity is %s.', 'woocommerce-point-of-sale' ),
	455 => __( 'You cannot access this page. It is either disabled or you do not have permission to access it.', 'woocommerce-point-of-sale' ),
	456 => __( 'You cannot access this register at the moment as it is now being used by someone else.', 'woocommerce-point-of-sale' ),
	457 => __( 'Oops! Nothing here.', 'woocommerce-point-of-sale' ),
	458 => __( 'You do not have access to this register.', 'woocommerce-point-of-sale' ),
	459 => __( 'Another register is opened in this browser. You cannot access two different registers from one browser at the same time. To take over, reload the register.', 'woocommerce-point-of-sale' ),
	460 => __( 'Oops! Something went wrong.', 'woocommerce-point-of-sale' ),
	461 => __( 'Back', 'woocommerce-point-of-sale' ),
	462 => __( 'Reload Register', 'woocommerce-point-of-sale' ),
	463 => __( 'Switch User', 'woocommerce-point-of-sale' ),
	464 => __( 'Number of Items', 'woocommerce-point-of-sale' ),
	465 => __( 'No data to generate the receipt.', 'woocommerce-point-of-sale' ),
	466 => __( 'Wi-Fi Network:', 'woocommerce-point-of-sale' ),
	467 => __( 'Wi-Fi Password:', 'woocommerce-point-of-sale' ),
	468 => __( 'Twitter:', 'woocommerce-point-of-sale' ),
	469 => __( 'Facebook:', 'woocommerce-point-of-sale' ),
	470 => __( 'Instagram:', 'woocommerce-point-of-sale' ),
	471 => __( 'Snapchat:', 'woocommerce-point-of-sale' ),
	472 => __( 'Refund Number', 'woocommerce-point-of-sale' ),
	473 => __( 'Order Number', 'woocommerce-point-of-sale' ),
	474 => __( 'Refund Date', 'woocommerce-point-of-sale' ),
	475 => __( 'Customer', 'woocommerce-point-of-sale' ),
	476 => __( 'Shipping Address', 'woocommerce-point-of-sale' ),
	477 => __( 'Billing Address', 'woocommerce-point-of-sale' ),
	478 => __( 'Refunded By', 'woocommerce-point-of-sale' ),
	479 => __( 'Served By', 'woocommerce-point-of-sale' ),
	480 => __( 'at', 'woocommerce-point-of-sale' ),
	481 => __( 'on', 'woocommerce-point-of-sale' ),
	482 => __( 'Order Notes', 'woocommerce-point-of-sale' ),
	483 => __( 'Dining Option', 'woocommerce-point-of-sale' ),
	484 => __( 'Qty:', 'woocommerce-point-of-sale' ),
	485 => __( 'Originally', 'woocommerce-point-of-sale' ),
	486 => __( 'Tax Summary', 'woocommerce-point-of-sale' ),
	487 => __( 'Tax Name', 'woocommerce-point-of-sale' ),
	488 => __( 'Tax Rate', 'woocommerce-point-of-sale' ),
	489 => __( 'Printing failed. Please try again.', 'woocommerce-point-of-sale' ),
	490 => __( 'Payment Method', 'woocommerce-point-of-sale' ),
	491 => __( 'Internal server error. Please check the WooCommerce logs for more details.', 'woocommerce-point-of-sale' ),
	492 => __( 'An account is already registered with this email address.', 'woocommerce-point-of-sale' ),
	493 => __( 'Are you sure want to take over the register?', 'woocommerce-point-of-sale' ),
	494 => __( 'Manual Order', 'woocommerce-point-of-sale' ),
	495 => __( 'API Order', 'woocommerce-point-of-sale' ),
	496 => __( 'Subscription Order', 'woocommerce-point-of-sale' ),
	497 => __( 'Customer shipping details are updated successfully.', 'woocommerce-point-of-sale' ),
	498 => __( 'Save shipping address changes to select the shipping method.', 'woocommerce-point-of-sale' ),
	499 => __( 'Logout', 'woocommerce-point-of-sale' ),
	500 => __( 'Close Register & Logout', 'woocommerce-point-of-sale' ),
	501 => __( 'Reload readers', 'woocommerce-point-of-sale' ),
	502 => __( 'Override Register', 'woocommerce-point-of-sale' ),
	503 => __( 'Customer Information', 'woocommerce-point-of-sale' ),
	504 => __( 'Total Spend', 'woocommerce-point-of-sale' ),
	505 => __( 'Orders Count', 'woocommerce-point-of-sale' ),
	506 => __( 'Scan', 'woocommerce-point-of-sale' ),
	507 => __( 'Average Order Value', 'woocommerce-point-of-sale' ),
	508 => __( 'Opening Notes', 'woocommerce-point-of-sale' ),
	509 => __( 'Default', 'woocommerce-point-of-sale' ),
	510 => __( 'Grid', 'woocommerce-point-of-sale' ),
	511 => __( 'Rectangular', 'woocommerce-point-of-sale' ),
	512 => __( 'One or more products in the cart have changed. Please review the cart items before checkout.', 'woocommerce-point-of-sale' ),
	513 => __( 'Clear Cart', 'woocommerce-point-of-sale' ),
	/* translators: %s product name */
	514 => __( '&ldquo;%s&rdquo; has been updated in the cart.', 'woocommerce-point-of-sale' ),
	/* translators: %s product name */
	515 => __( '&ldquo;%s&rdquo; is no longer available and has been removed from the cart.', 'woocommerce-point-of-sale' ),
	516 => __( 'Cleaning products', 'woocommerce-point-of-sale' ),
	517 => __( 'Cleaning categories', 'woocommerce-point-of-sale' ),
	518 => __( 'Cleaning customers', 'woocommerce-point-of-sale' ),
	519 => __( 'Cleaning coupons', 'woocommerce-point-of-sale' ),
	520 => __( 'Counting products', 'woocommerce-point-of-sale' ),
	521 => __( 'Trash', 'woocommerce-point-of-sale' ),
	/* translators: %s order number */
	522 => __( 'Are you sure you want to delete order #%s?', 'woocommerce-point-of-sale' ),
	523 => __( 'Checkout Fields', 'woocommerce-point-of-sale' ),
	524 => __( 'Print Original Price', 'woocommerce-point-of-sale' ),
	525 => __( 'Phone:', 'woocommerce-point-of-sale' ),
	526 => __( 'Fax:', 'woocommerce-point-of-sale' ),
	527 => __( 'Email:', 'woocommerce-point-of-sale' ),
	528 => __( 'Website:', 'woocommerce-point-of-sale' ),
	529 => __( 'Decrease Request Limits', 'woocommerce-point-of-sale' ),
	/* translators: %s number of requests */
	530 => __( 'The maximum number of simultaneous requests has been decreased to %s', 'woocommerce-point-of-sale' ),
	/* translators: %s per page */
	531 => __( 'The maximum number of items in a request has been decreased to %s', 'woocommerce-point-of-sale' ),
	532 => __( 'You have reached the minimum limits', 'woocommerce-point-of-sale' ),
	533 => __( 'Sorry, the server was unable to respond due to a timeout issue. Please try reducing the request limits.', 'woocommerce-point-of-sale' ),
	534 => __( 'Open Logs', 'woocommerce-point-of-sale' ),
	/* translators: %s field name */
	535 => __( '&ldquo;%s&rdquo; field is required', 'woocommerce-point-of-sale' ),
	/* translators: %s field name */
	536 => __( '&ldquo;%s&rdquo; is invalid email address', 'woocommerce-point-of-sale' ),
	537 => __( 'Tax ID:', 'woocommerce-point-of-sale' ),
	538 => __( 'Cash Movements', 'woocommerce-point-of-sale' ),
	539 => __( 'Remove Cash', 'woocommerce-point-of-sale' ),
	540 => __( 'Total Cash Flow', 'woocommerce-point-of-sale' ),
];
